# Magyarország vármegyéi

import turtle
import random

screen = turtle.Screen()
screen.setup(850,650)
screen.bgcolor('black')
screen.bgpic("magyarorszag.gif")
turtle.hideturtle()
turtle.speed(0)
turtle.tracer(0)

telepules = [['Bács-Kiskun', 'Kecskemét', (23, -50)],
             ['Baranya', 'Pécs', (-142, -188)],
             ['Békés', 'Békéscsaba', (184, -85)],
             ['Borsod-Abaúj-Zemplén', 'Miskolc', (142, 153)],
             ['Csongrád', 'Szeged', (82, -161)],
             ['Fejér', 'Székesfehérvár', (-127, 0)],
             ['Győr-Moson-Sopron', 'Győr', (-208, 83)],
             ['Hajdú-Bihar', 'Debrecen', (242, 62)],
             ['Heves', 'Eger', (98, 119)],
             ['Jász-Nagykun-Szolnok', 'Szolnok', (78, -8)],
             ['Komárom-Esztergom', 'Tatabánya', (-123, 55)],
             ['Nógrád', 'Salgótarján', (30, 153)],
             ['Pest', 'Budapest', (-54, 42)],
             ['Somogy', 'Kaposvár', (-194, -143)],
             ['Szabolcs-Szatmár-Bereg', 'Nyíregyháza', (248, 132)],
             ['Tolna', 'Szekszárd', (-92, -146)],
             ['Vas', 'Szombathely', (-329, 6)],
             ['Veszprém', 'Veszprém', (-178, -14)],
             ['Zala', 'Zalaegerszeg', (-300, -63)]]
             
z, jo, rossz  = 0, 0, 0

db = len(telepules)
style1 = ('Arial', 20, 'bold')
style2 = ('Arial', 30, 'bold')

def torol():
    turtle.color("black")
    turtle.penup()
    turtle.begin_fill()
    turtle.setpos(-425,325)
    turtle.setpos(90,325)
    turtle.setpos(90,200)
    turtle.setpos(-425,200)
    turtle.setpos(-425,325)
    turtle.end_fill()

def kezdes():
    torol()
    turtle.color("lightblue")
    turtle.penup()
    turtle.setpos(-200,250)
    turtle.pendown()
    turtle.write("A játék kattintásra indul!", font=style1, align="center")
    for i in range(19):
        turtle.up()
        turtle.setpos(telepules[i][2])
        turtle.down()
        turtle.dot(12,"white")
        turtle.dot(8,"black")
    random.shuffle(telepules)
    
def kiir(kerdes):
    torol()
    turtle.color("red")
    turtle.penup()
    turtle.setpos(-400,250)
    turtle.pendown()
    turtle.write(telepules[kerdes][0] + " vármegye", font=style1, align="left")
    turtle.penup()
    turtle.setpos(-400,200)
    turtle.color("green")
    turtle.pendown()
    turtle.write(telepules[kerdes][1], font=style2, align="left")
    turtle.update()

def koordinata(x,y):
    global z, db, jo, rossz, start
    if start != True:
        if z < db:
            turtle.up()
            turtle.setpos(x,y)
            if turtle.distance(telepules[z][2])<10:
                turtle.setpos(telepules[z][2])
                turtle.down()
                turtle.dot(12,"yellow")
                turtle.dot(8,"darkgreen")
                jo += 1
            else:
                turtle.setpos(telepules[z][2])
                turtle.down()
                turtle.dot(12,"yellow")
                turtle.dot(8,"red")
                rossz += 1
            z = z + 1
            eredmeny = " Jó = " + str(jo) + "    Rossz = " + str(rossz)
            screen.title(eredmeny)                
            if z == 19:
                screen.title("Végeredmény:" + eredmeny)
                torol()
                kezdes()
                start = True
            else:
                kiir(z)
    else:
        torol()
        kiir(0)
        z, jo, rossz  = 0, 0, 0
        screen.title("")
        start = False
            
start = True
kezdes()
screen.onclick(koordinata)
screen.mainloop()

# ************2023.02.13.************Miskei Vendel************www.miskei.hu************